namespace Test_App
{
    public partial class Form1 : Form
    {
        //   1
        List<string> list;

        //   3
        List<TestClass> list2;
        public Form1()
        {
            InitializeComponent();

            list = new List<string>() { " 1", " 2", " 3", " 4", " 5" };

            dropDownList.LineChanged += dropDownList_LineChanged;
            // (   )


            // 3- 
            TestClass worker1 = new TestClass("  ", 15, " 1");
            TestClass worker2 = new TestClass("  ", 7, " 2");
            TestClass worker3 = new TestClass("  ", 1, " 3");

            list2 = new List<TestClass>() { worker1, worker2, worker3 };


            objectsListBox.SetTemplateInfo("<FIO>;  <workExperience>,   <department>", '<', '>');
            //objectsListBox.SetTemplateInfo("   c <FIO>:  <workExperience>,   <department>", '<', '>');
        }

        private void dropDownList_LineChanged(object sender, EventArgs e)
        {
            label1.Text = dropDownList.SelectedLine;
        }

        private void buttonClear_Click(object sender, EventArgs e)
        {
            dropDownList.Clear();
        }

        private void buttonSelected_Click(object sender, EventArgs e)
        {
            label1.Text = dropDownList.SelectedLine;
        }

        private void buttonCheck_Click(object sender, EventArgs e)
        {
            try
            {
                MessageBox.Show(mailTextBox.TextValue + " ");
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void buttonHint_Click(object sender, EventArgs e)
        {
            mailTextBox.setExample(textBoxHint.Text);
        }

        private void buttonFill_Click(object sender, EventArgs e)
        {
            objectsListBox.Fill(list2);
        }

        private void buttonGetObject_Click(object sender, EventArgs e)
        {
            if (objectsListBox.SelectedIndex == -1)
            {
                MessageBox.Show(" ");
            }
            else
            {
                var worker = objectsListBox.GetObjectFromLine<TestClass>();
                string workerStr = worker.FIO + "\n" + worker.workExperience.ToString() + "\n" + worker.department;
                labelWorker.Text = workerStr;
            }
        }

        private void buttonList_Click(object sender, EventArgs e)
        {
            dropDownList.Fill(list);
            dropDownList.SelectedLine = " 4";
        }
    }
}