﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Labs.HelperClasses.WordTable
{
    public class CellMergeInfo
    {
        public int StartCell;
        public int EndCell;

        public CellMergeInfo(int startCell, int endCell)
        {
            if (startCell < 0 || endCell < 0 || startCell == endCell)
            {
                throw new ArgumentOutOfRangeException("Неверные индексы ячеек");
            }

            if (endCell < startCell)
            {
                StartCell = endCell;
                EndCell = startCell;
            }
            else
            {
                StartCell = startCell;
                EndCell = endCell;
            }
        }
    }
}
