﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Labs.HelperClasses.WordTable
{
    public class ColumnProperties
    {
        //заголовок столбца в 1-й строке
        public string Header1;

        //заголовок столбца во 2-й строке (необязательный)
        public string? Header2;
        //свойство, кот. хранится в столбце
        public string PropertyName;
        //ширина столбца
        public double Width;

        public ColumnProperties(string propertyName, double width, string header1, string? header2 = null)
        {
            Header1 = header1;
            //мб if не нужен
            if (header2 != null)
            {
                Header2 = header2;
            }
            PropertyName = propertyName;
            Width = width;
        }
    }
}
