﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Labs.HelperClasses.WordTable
{
    public class WordTableConfig<T>
    {
        public string FilePath = string.Empty;

        public string DocumentTitle = string.Empty;


        //инфа о столбцах (ширина, заголовки в 1-й и 2-й строке, имя свойства для вставки значения)
        public List<ColumnProperties> ColumnsProperties;

        //объединённые ячейки (только в 1 строке)
        public List<CellMergeInfo> MergedCells;

        public List<T> Data;

        public WordTableConfig(string filePath, string documentTitle, List<ColumnProperties> columnsProperties, List<CellMergeInfo> mergedCells, List<T> data)
        {
            FilePath = filePath;
            DocumentTitle = documentTitle;
            ColumnsProperties = columnsProperties;
            MergedCells = mergedCells;
            Data = data;
        }
    }
}
